package com.rehome.jpahefengweather.dto;

import java.util.List;

/**
 * @author huangwenfei
 * @version v1.0.0.0
 * Created DateTime 2021-04-26 14:35
 * @description: 浙江省水利厅 台风台风详情
 */
public class TyphoonInfoDto {
    private String tfid;//台风编号
    private String name;//台风中文名称
    private String enname;//台风英文名称
    private String isactive;//台风是否处于活跃状态，1：活跃，2：不活跃
    private String starttime;//台风开始时间
    private String endtime;//台风结束时间
    private String warnlevel;//台风预警等级
    private String centerlng;//台风中心经度
    private String centerlat;//台风中心纬度
    private List<Land> land;//台风登录地点列表，活跃状态可能为空，没有登录也可能为空
    private List<Point> points;//台风路径

    public String getTfid() {
        return tfid;
    }

    public void setTfid(String tfid) {
        this.tfid = tfid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEnname() {
        return enname;
    }

    public void setEnname(String enname) {
        this.enname = enname;
    }

    public String getIsactive() {
        return isactive;
    }

    public void setIsactive(String isactive) {
        this.isactive = isactive;
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public String getWarnlevel() {
        return warnlevel;
    }

    public void setWarnlevel(String warnlevel) {
        this.warnlevel = warnlevel;
    }

    public String getCenterlng() {
        return centerlng;
    }

    public void setCenterlng(String centerlng) {
        this.centerlng = centerlng;
    }

    public String getCenterlat() {
        return centerlat;
    }

    public void setCenterlat(String centerlat) {
        this.centerlat = centerlat;
    }

    public List<Land> getLand() {
        return land;
    }

    public void setLand(List<Land> land) {
        this.land = land;
    }

    public List<Point> getPoints() {
        return points;
    }

    public void setPoints(List<Point> points) {
        this.points = points;
    }

    public static class Land{
        private String landaddress;//台风登录地址
        private String landtime;//台风登录时间
        private String lng;//台风登录经度
        private String lat;//台风登录纬度
        private String info;//台风登录描述
        private String strong;//台风等级中文描述

        public String getLandaddress() {
            return landaddress;
        }

        public void setLandaddress(String landaddress) {
            this.landaddress = landaddress;
        }

        public String getLandtime() {
            return landtime;
        }

        public void setLandtime(String landtime) {
            this.landtime = landtime;
        }

        public String getLng() {
            return lng;
        }

        public void setLng(String lng) {
            this.lng = lng;
        }

        public String getLat() {
            return lat;
        }

        public void setLat(String lat) {
            this.lat = lat;
        }

        public String getInfo() {
            return info;
        }

        public void setInfo(String info) {
            this.info = info;
        }

        public String getStrong() {
            return strong;
        }

        public void setStrong(String strong) {
            this.strong = strong;
        }
    }

    public static class Point{
        private String time;//台风中心点记录时间
        private String lng;//台风中心经度
        private String lat;//台风中心纬度
        private String strong;//台风等级中文描述
        private String power;//台风等级，例如 "7" 表示7级
        private String speed;//台风风速，单位 米/秒
        private String pressure;//台风中心气压，单位：帕
        private String movespeed;//台风移动速度，单位 公里/小时
        private String movedirection;//台风移动方向中文描述
        private String radius7;//台风7级风圈，单位 公里
        private String radius10;//台风10级风圈，单位 公里
        private String radius12;//台风12级风圈，单位 公里
        private List<Forecast> forecast;//未来台风路径预测

        public String getTime() {
            return time;
        }

        public void setTime(String time) {
            this.time = time;
        }

        public String getLng() {
            return lng;
        }

        public void setLng(String lng) {
            this.lng = lng;
        }

        public String getLat() {
            return lat;
        }

        public void setLat(String lat) {
            this.lat = lat;
        }

        public String getStrong() {
            return strong;
        }

        public void setStrong(String strong) {
            this.strong = strong;
        }

        public String getPower() {
            return power;
        }

        public void setPower(String power) {
            this.power = power;
        }

        public String getSpeed() {
            return speed;
        }

        public void setSpeed(String speed) {
            this.speed = speed;
        }

        public String getPressure() {
            return pressure;
        }

        public void setPressure(String pressure) {
            this.pressure = pressure;
        }

        public String getMovespeed() {
            return movespeed;
        }

        public void setMovespeed(String movespeed) {
            this.movespeed = movespeed;
        }

        public String getMovedirection() {
            return movedirection;
        }

        public void setMovedirection(String movedirection) {
            this.movedirection = movedirection;
        }

        public String getRadius7() {
            return radius7;
        }

        public void setRadius7(String radius7) {
            this.radius7 = radius7;
        }

        public String getRadius10() {
            return radius10;
        }

        public void setRadius10(String radius10) {
            this.radius10 = radius10;
        }

        public String getRadius12() {
            return radius12;
        }

        public void setRadius12(String radius12) {
            this.radius12 = radius12;
        }

        public List<Forecast> getForecast() {
            return forecast;
        }

        public void setForecast(List<Forecast> forecast) {
            this.forecast = forecast;
        }
    }

    public static class Forecast{
        private String tm;//台风预测国家
        private List<Forecastpoint> forecastpoints;//未来台风路径预测

        public String getTm() {
            return tm;
        }

        public void setTm(String tm) {
            this.tm = tm;
        }

        public List<Forecastpoint> getForecastpoints() {
            return forecastpoints;
        }

        public void setForecastpoints(List<Forecastpoint> forecastpoints) {
            this.forecastpoints = forecastpoints;
        }
    }

    public static class Forecastpoint{
        private String time;//台风路线预测中心点时间
        private String lng;//台风路线预测中心点经度
        private String lat;//台风路线预测中心点续度
        private String strong;//台风路线预测中心点等级中文描述
        private String power;//台风路线预测中心点等级，例如 "7" 表示7级
        private String speed;//台风路线预测中心点风速，单位 米/秒
        private String pressure;//台风路线预测中心点气压，单位：帕
        private String tm;//台风预测国家
        private String ybsj;//台风预报时间

        public String getTime() {
            return time;
        }

        public void setTime(String time) {
            this.time = time;
        }

        public String getLng() {
            return lng;
        }

        public void setLng(String lng) {
            this.lng = lng;
        }

        public String getLat() {
            return lat;
        }

        public void setLat(String lat) {
            this.lat = lat;
        }

        public String getStrong() {
            return strong;
        }

        public void setStrong(String strong) {
            this.strong = strong;
        }

        public String getPower() {
            return power;
        }

        public void setPower(String power) {
            this.power = power;
        }

        public String getSpeed() {
            return speed;
        }

        public void setSpeed(String speed) {
            this.speed = speed;
        }

        public String getPressure() {
            return pressure;
        }

        public void setPressure(String pressure) {
            this.pressure = pressure;
        }

        public String getTm() {
            return tm;
        }

        public void setTm(String tm) {
            this.tm = tm;
        }

        public String getYbsj() {
            return ybsj;
        }

        public void setYbsj(String ybsj) {
            this.ybsj = ybsj;
        }
    }
}
